Subject: bug#31149: 27.0.50; (gui-get-selection nil 'text/html) returns mis-decoded text

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 13 Apr 2018 23:05:34 +0200

Stefan Monnier <[email-masked]> writes:

> As for why we decode it as latin-1, it's (under GNU/Linux; Lars may be
> using something else because he's getting something with a `charset`
> property which I don't get here) because:

I'm also running under GNU/Linux -- it's the latest Debian (9, which
is...  stretch?), but not with Gnome.  Instead I'm using xfce -- I guess
Gnome could get involved with the selection stuff somehow.

Another data point: If I select some HTML in Chromium,
(gui-get-selection nil 'text/html) returns nil.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no